/*
 *
 * _a0servd.h : Include for _a0servd.c
 *
 * by Ilan Ginzburg
 * Apache Project, IMAG, Grenoble, France
 * Feb 16, 1996
 *
 */


/* Eliminates multiple includes of this file */
#ifndef _A0SERVD_H
#define _A0SERVD_H

#include <akernel.h>
#include "a0ports.h"


/* Port used for communications with the SERV daemon */
extern a0tPort _a0ServdPort;


#ifdef A0_SOURCE
/***************************************************************************
 * Defines only used for compiling Athapascan0
 ***************************************************************************/

/* Initializations for the SERV daemon. Creates the daemon thread */
extern a0tError _a0InitServ();
extern a0tError _a0TermServ();

#endif /* A0_SOURCE */


#endif /* _A0SERVD_H */
