/* a0f_nameshifts.h
 * 
 * Correspondence definition of library names to user interface names
 *
 * Library names are different from user interface names to simplify the
 * task of performance evaluation or tracers writing.
 *
 * by Marcelo Pasin
 * Apache Project, IMAG, Grenoble, France
 * February 5, 1997
 *
 */

/* The user sees the names without the leading underscore, but the real names
 * used in athapascan library (and source code) are the ones WITH the
 * underscore.
 */

#define a0DisposePipe		_a0DisposePipe
#define a0FCopy 		_a0FCopy
#define a0FCopyPart		_a0FCopyPart
#define a0FGet			_a0FGet
#define a0FPack			_a0FPack
#define a0FPackPosition		_a0FPackPosition
#define a0FPut			_a0FPut
#define a0FRead 		_a0FRead
#define a0FReadLock		_a0FReadLock
#define a0FReadPart		_a0FReadPart
#define a0FReadPartLock		_a0FReadPartLock
#define a0FReceive		_a0FReceive
#define a0FSend			_a0FSend
#define a0FUnpack		_a0FUnpack
#define a0FUnpackPosition	_a0FUnpackPosition
#define a0FWrite		_a0FWrite
#define a0FWritePart		_a0FWritePart
#define a0FWriteUnlock		_a0FWriteUnlock
#define a0Flush 		_a0Flush
#define a0GetFormatCount	_a0GetFormatCount
#define a0GetFormatOffset	_a0GetFormatOffset
#define a0GetFormatSize		_a0GetFormatSize
#define a0IFCopy		_a0IFCopy
#define a0IFCopyPart		_a0IFCopyPart
#define a0IFGet 		_a0IFGet
#define a0IFPut 		_a0IFPut
#define a0IFRead		_a0IFRead
#define a0IFReadLock		_a0IFReadLock
#define a0IFReadPart		_a0IFReadPart
#define a0IFReadPartLock	_a0IFReadPartLock
#define a0IFReceive		_a0IFReceive
#define a0IFSend		_a0IFSend
#define a0IFWrite		_a0IFWrite
#define a0IFWritePart		_a0IFWritePart
#define a0IFWriteUnlock		_a0IFWriteUnlock
#define a0ILock			_a0ILock
#define a0IUnlock		_a0IUnlock
#define a0Lock			_a0Lock
#define a0NewDMARegion		_a0NewDMARegion
#define a0NewFormat		_a0NewFormat
#define a0NewFunctionFormat	_a0NewFunctionFormat
#define a0NewMapFormat		_a0NewMapFormat
#define a0NewPipe		_a0NewPipe
#define a0SetLockDMARegion	_a0SetLockDMARegion
#define a0SetLockDMARegionPart	_a0SetLockDMARegionPart
#define a0SetLockRead		_a0SetLockRead
#define a0SetMapField		_a0SetMapField
#define a0SetUnlockWrite	_a0SetUnlockWrite
#define a0Unlock		_a0Unlock
#define a0UseFormats		_a0UseFormats

/* new stuff, with callback */
#define a0IFReceiveCallback     _a0IFReceiveCallback
#define a0IFSendCallback        _a0IFSendCallback
