#ifndef SOURCE_PERF_FMEM_H
#define SOURCE_PERF_FMEM_H

#include "a0_perf_fmem.h"


extern a0tError _a0_source_perf_NewDMARegion(char *file_name,int source_line,
			a0tDMARegion *region,a0tFormat *formatp,
			void *pointer, int size);

extern a0tError _a0_source_perf_IFReadPart(char *file_name,int source_line,
			a0tDMARegion *region, int start, int size,
			a0tRequest *reqp,
			a0tFormat *formatp, void *address, int count);

extern a0tError _a0_source_perf_FReadPart(char *file_name,int source_line,
			a0tDMARegion *region, int start, int size,
			a0tRequest *reqp,
			a0tFormat *formatp, void *address, int count);

extern a0tError _a0_source_perf_IFRead(char *file_name,int source_line,
			a0tDMARegion *region, a0tRequest *reqp,
			a0tFormat *formatp, void *address, int count);

extern a0tError _a0_source_perf_FRead(char *file_name,int source_line,
			a0tDMARegion *region, a0tRequest *reqp,
			a0tFormat *formatp, void *address, int count);

extern a0tError _a0_source_perf_IFWritePart(char *file_name,int source_line,
			a0tDMARegion *region, int start, int size,
			a0tRequest *reqp,
			a0tFormat *formatp, void *address, int count);

extern a0tError _a0_source_perf_FWritePart(char *file_name,int source_line,
			a0tDMARegion *region, int start, int size,
			a0tRequest *reqp,
			a0tFormat *formatp, void *address, int count);

extern a0tError _a0_source_perf_IFWrite(char *file_name,int source_line,
			a0tDMARegion *region, a0tRequest *reqp,
			a0tFormat *formatp, void *address, int count);

extern a0tError _a0_source_perf_FWrite(char *file_name,int source_line,
			a0tDMARegion *region, a0tRequest *reqp,
			a0tFormat *formatp, void *address, int count);

extern a0tError _a0_source_perf_IFCopyPart(char *file_name,int source_line,
			a0tDMARegion *region1, int start1,
			int size1, a0tRequest *reqp,
			a0tDMARegion *region2, int start2, int size2);

extern a0tError _a0_source_perf_FCopyPart(char *file_name,int source_line,
			a0tDMARegion *region1, int start1, int size1,
			a0tRequest *reqp,
			a0tDMARegion *region2, int start2, int size2);

extern a0tError _a0_source_perf_IFCopy(char *file_name,int source_line,
			a0tDMARegion *region1, a0tRequest *reqp,
			a0tDMARegion *region2);

extern a0tError _a0_source_perf_FCopy(char *file_name,int source_line,
			a0tDMARegion *region1, a0tRequest *reqp,
			a0tDMARegion *region2);

#endif
