/*
 *
 * ath0_perf.h : General include file for Athapascan0
 *
 * by Ph. Waille
 * Apache Project, IMAG, Grenoble, France
 * 17 Mar 1998
 *
 */


/* Eliminates multiple includes of this file */
#ifndef _ATH0_PERF_H
#define _ATH0_PERF_H

#include "a0_perf_pt2pt.h"
#include "a0_perf_event_codes.h"
#include "a0_perf_services.h"
#include "a0_perf_event_macros.h"
#include "a0_perf_thread.h"
#include "a0_perf_init.h"
#include "a0_perf_timing.h"
#include "a0_perf_internal_events.h"
#include "a0_perf_trace_buffer.h"
#include "a0_perf_ports.h"
#include "a0_perf_user_events.h"

#include "a0_source_perf_buffer.h"
#include "a0_source_perf_services.h"
#include "a0_source_perf_init.h"
#include "a0_source_perf_thread.h"
#include "a0_source_perf_ports.h"
#include "a0_source_perf_user_events.h"
#include "a0_source_perf_pt2pt.h"

#include "ath0_perf_macros.h"
#include "ath0_perf_nameshifts.h"

#endif /* _ATH0_PERF_H */
