/*
 *
 * a0_perf_internal_event.h
 *
 *
 * by Philippe Waille
 * Apache Project, IMAG, Grenoble, France
 * August 22 , 1996
 *
 */


/* Eliminates multiple includes of this file */
#ifndef _A0_PERF_INTERNAL_EVENT_H
#define _A0_PERF_INTERNAL_EVENT_H

#include "a0error.h"
#include "a0_perf_trace_buffer.h"
#include "a0pt2pt.h"

extern a0tError a0_perf_init_user_thread_trace_buffer ();
extern a0tError a0_perf_end_of_user_thread ();
extern a0tError a0_perf_internal_terminate ();
a0tError a0_perf_start_remote_service (int service,unsigned long thread_id,
                                        a0tRequest *request);
a0tError a0_perf_begin_remote_request (int service,a0tRequest *request);
a0tError a0_perf_end_remote_request ();

#endif /* _A0_PERF_INTERNAL_EVENT_H */
