/***************************************************************************/
/* File a0_perf_user_events.c                                              */
/* Philippe Waille 05/07/96                                                */
/***************************************************************************/

#include "a0_perf_thread.h"
#include "a0_perf_event_macros.h"
#include "a0_perf_event_codes.h"


a0tError _a0_perf_UserEvent (long int integer,char *string)
{
a0_perf_begin_event;
a0_perf_get_index;
a0_perf_put_event_id(A0_PERF_RECORD_ID_USER_EVENT);
a0_perf_put_integer(integer);
a0_perf_put_string(string);
a0_perf_put_index;
}

a0tError _a0_perf_IdentifyEvent (int line, char *file)
{
a0_perf_begin_event;
a0_perf_get_index;
a0_perf_put_event_id(A0_PERF_RECORD_ID_IDENTIFY_EVENT);
a0_perf_put_integer(line);
a0_perf_put_address(file);
a0_perf_put_index;
}

a0tError _a0_perf_IdentifyFile (char *file)
{
a0_perf_begin_event;
a0_perf_get_index;
a0_perf_put_event_id(A0_PERF_RECORD_ID_IDENTIFY_FILE);
a0_perf_put_address(file);
a0_perf_put_string(file);
a0_perf_put_index;
}

a0tError _a0_perf_Identify_Format (void *format,char *name)
{
a0_perf_begin_event;
a0_perf_get_index;
a0_perf_put_event_id(A0_PERF_RECORD_ID_IDENTIFY_FORMAT);
a0_perf_put_address(format);
a0_perf_put_string(name);
a0_perf_put_index;
}

