/*
 *
 * a0_perf_user_event.h 
 *
 *
 * by Philippe Waille
 * Apache Project, IMAG, Grenoble, France
 * July 16, 1996
 *
 */


/* Eliminates multiple includes of this file */
#ifndef _A0_PERF_USER_EVENT_H
#define _A0_PERF_USER_EVENT_H

#include "a0semap.h"
#include "a0_perf_trace_buffer.h"
#include "a0thread.h"
#include "a0error.h"

extern a0tError _a0_perf_UserEvent(int integer,char *string);

extern void  _a0_perf_IdentifyEvent (int line, char *file);

extern void  _a0_perf_IdentifyFile (char *file);

extern a0tError _a0_perf_Identify_Format (void *format,char *name);

#endif /* _A0_PERF_USER_EVENT_H */
