#ifndef SOURCE_PERF_BUFFER_H
#define SOURCE_PERF_BUFFER_H


#include "a0_perf_buffer.h"


extern a0tError _a0_source_perf_NewBuffer(char *file_name,int source_line,
				   a0tBuffer *buffer, a0tBufferType type,
				   long size) ;

extern a0tError _a0_source_perf_DisposeBuffer(char *file_name,int source_line,
                                       a0tBuffer *buffer);

extern a0tError _a0_source_perf_Pack(char *file_name,int source_line,
		              a0tBuffer *buffer, a0tDatatype datatype,
                              void *inbuf, int incount);

extern a0tError _a0_source_perf_Unpack(char *file_name,int source_line,
			        a0tBuffer *buffer, a0tDatatype datatype,
                                void *outbuf, int outcount);


#endif
