#ifndef PERF_FUSER_H
#define PERF_FUSER_H

#include "a0fuser.h"
#include "a0ports.h"
#include <a0b.h>

extern a0tError _a0_perf_GetFormatSize(a0tFormat *formatp, void *address, 
				int count, size_t *sizep);


extern a0tError _a0_perf_GetFormatOffset(a0tFormat *formatp, void *address,
                                int count, void **offsetp);

extern a0tError _a0_perf_UseFormats(void);

extern a0tError _a0_perf_DisposeFormat(a0tFormat *formatp);

extern a0tError _a0_perf_IFSend(
		a0tPort *port, int dest, int tag, a0tRequest *req,
		a0tFormat *formatp, void *address, int count);

extern a0tError _a0_perf_FSend(
		a0tPort *port, int dest, int tag, a0tRequest *req,
		a0tFormat *formatp, void *address, int count);

extern a0tError _a0_perf_IFReceive(
		a0tPort *port, int src, int tag, a0tRequest *req,
		a0tFormat *formatp, void *address, int count);

extern a0tError _a0_perf_FReceive(
		a0tPort *port, int src, int tag, a0tRequest *req,
		a0tFormat *formatp, void *address, int count);

extern a0tError _a0_perf_FPack(a0tBuffer *buffer,
		 a0tFormat *formatp, void *address, int count);

extern a0tError _a0_perf_FUnpack(a0tBuffer *buffer,
                 a0tFormat *formatp, void *address, int count);

#endif
