#include "a0_source_perf_fpipe.h"
#include "../basic/a0_perf_event_codes.h"
#include "../basic/a0_perf_event_macros.h"

a0tError _a0_source_perf_IFPut(char *file_name,int source_line,
			a0tPipe *pipe, a0tRequest *request,
			a0tFormat *format, void *address, int count) 

{
put_info;
return  _a0_perf_IFPut(pipe,request,format,address,count);
}


a0tError _a0_source_perf_FPut(char *file_name,int source_line,
			a0tPipe *pipe, a0tRequest *request,
			a0tFormat *format, void *address, int count) 
{
put_info;
return  _a0_perf_FPut(pipe,request,format,address,count);
}



a0tError _a0_source_perf_IFGet(char *file_name,int source_line,
			a0tPipe *pipe, a0tRequest *request,
			a0tFormat *format, void *address, int count) 
{
put_info;
return  _a0_perf_IFGet(pipe,request,format,address,count);
}

a0tError _a0_source_perf_FGet(char *file_name,int source_line,
			a0tPipe *pipe, a0tRequest *request,
			a0tFormat *format, void *address, int count) 
{
put_info;
return  _a0_perf_FGet(pipe,request,format,address,count);
}

a0tError _a0_source_perf_Flush(char *file_name,int source_line,
				a0tPipe *pipe) 
{
put_info;
return  _a0_perf_Flush(pipe);
}

a0tError _a0_source_perf_NewPipe(char *file_name,int source_line,
			a0tPipe *newpipe, 
			a0tPort *port, int node, int tag,
                        int bufsize, int protocol, int prio) 
{
put_info;
return _a0_perf_NewPipe(newpipe,port,node,tag,bufsize,protocol,prio); 
}

a0tError _a0_source_perf_DisposePipe(char *file_name,int source_line,
					a0tPipe *pipe)
{
put_info;
return _a0_perf_DisposePipe(pipe);
}

