#include "a0_perf_event_macros.h"
#include "a0_perf_event_codes.h"

/* begin to record the date before thread creation */

/* end to record the event */
/* WARNING : a0_perf_put_index replaced by the same without return(code) */
/* because a0_perf_start_remote_service_begin is no longer a C function */
/* but a pair of macros */

#define a0_perf_start_remote_service_begin(service)\
a0tRequestData reqdata;\
char *buf;\
unsigned long serial_no;\
int source;\
a0_perf_begin_event;\
a0_perf_get_index \
a0_perf_put_event_id(A0_PERF_RECORD_ID_START_REMOTE_SERVICE) \
a0_perf_put_integer (service) \

#define a0_perf_start_remote_service_end(thread,requestp)\
a0_perf_put_integer (thread) \
_a0GetRequestSerialNo(requestp,&serial_no);\
_a0GetRequestData (requestp,&reqdata);\
a0_perf_put_integer (reqdata.source) \
a0_perf_put_integer (serial_no) \
trace_buffer -> index = a0_perf_index;\
if (a0_perf_index >= (trace_buffer ->high_water_mark))\
   {\
   unsigned long thread_id;\
   _a0GetSelfThreadId (&thread_id);\
   a0_perf_put_full_trace_buffer (trace_buffer);\
   a0_perf_init_user_thread_trace_buffer ();\
   }
