/*******************************/
/* writev and iovec prototypes */
/*******************************/

#ifdef A0_TAIX3

struct iovec {
        char *  iov_base;       /* base memory address                  */
        int     iov_len;        /* length of transfer for this area     */
};


#else

#include <sys/types.h>
#include <sys/uio.h>

#endif

/* System include files should have already defined IOVMAX, but ... */

#ifndef IOV_MAX
#define IOV_MAX 16
#endif

