#include "a0_source_perf_pt2pt.h"
#include "a0_perf_event_macros.h"

a0tError _a0_source_perf_WaitRequest(char *file_name,int source_line,
                                     a0tRequest *req)
{
put_info;
return _a0_perf_WaitRequest(req);
}

a0tError _a0_source_perf_WaitAnyRequest(char *file_name,int source_line,
					a0tRequest *reqtab[],int size, 
					int *which)
{
put_info;
return _a0_perf_WaitAnyRequest(reqtab,size,which);
}

a0tError _a0_source_perf_TestRequest(char *file_name,int source_line,
                                     a0tRequest *req, int *completed)
{
put_info;
return _a0_perf_TestRequest(req,completed);
}

a0tError _a0_source_perf_TestAnyRequest(char *file_name,int source_line,
					a0tRequest *reqtab[],int size,
                                        int *which)
{
put_info;
return _a0_perf_TestAnyRequest(reqtab,size,which);
}


a0tError _a0_source_perf_ISendBuffer(char *file_name,int source_line,
                                     a0tPort *port, int dest, int tag,
                                     a0tRequest *request, a0tBuffer *buffer)
{
put_info;
return _a0_perf_ISendBuffer(port,dest,tag,request,buffer);
}


a0tError _a0_source_perf_SendBuffer(char *file_name,int source_line,
                                    a0tPort *port, int dest, int tag,
                                    a0tRequest *request, a0tBuffer *buffer)
{
put_info;
return _a0_perf_SendBuffer(port,dest,tag,request,buffer);
}


a0tError _a0_source_perf_ISend(char *file_name,int source_line,
                               a0tPort *port, int dest, int tag,
                               a0tRequest *request, a0tDatatype datatype,
                               void *address, int count)
{
put_info;
return _a0_perf_ISend(port,dest,tag,request,datatype,address,count);
}


a0tError _a0_source_perf_Send(char *file_name,int source_line,
                              a0tPort *port, int dest, int tag,
                              a0tRequest *request, a0tDatatype datatype,
                              void *address, int count)
{
put_info;
return _a0_perf_Send(port,dest,tag,request,datatype,address,count);
}


a0tError _a0_source_perf_IReceiveBuffer(char *file_name,int source_line,
                              a0tPort *port, int source, int tag,
                              a0tRequest *request, a0tBuffer *buffer)
{
put_info;
return _a0_perf_IReceiveBuffer(port,source,tag,request,buffer);
}


a0tError _a0_source_perf_ReceiveBuffer(char *file_name,int source_line,
                                       a0tPort *port, int source, int tag,
                                       a0tRequest *request, a0tBuffer *buffer)
{
put_info;
return _a0_perf_ReceiveBuffer(port,source,tag,request,buffer);
}


a0tError _a0_source_perf_IReceive(char *file_name,int source_line,
                                  a0tPort *port, int source, int tag,
                                  a0tRequest *request, a0tDatatype datatype,
                                  void *address, int count)
{
put_info;
return _a0_perf_IReceive(port,source,tag,request,datatype,address,count);
}


a0tError _a0_source_perf_Receive(char *file_name,int source_line,
                                 a0tPort *port, int source, int tag,
                                 a0tRequest *request, a0tDatatype datatype,
                                 void *address, int count)
{
put_info;
return _a0_perf_Receive(port,source,tag,request,datatype,address,count);
}


a0tError _a0_source_perf_Probe (char *file_name,int source_line,
			        a0tPort *port, int source, 
				int tag, a0tRequest *req)
{
put_info;
return _a0_perf_Probe (port,source,tag,req);
}


a0tError _a0_source_perf_IProbe (char *file_name,int source_line, 
			        a0tPort *port, int source, 
				int tag, a0tRequest *req)
{
put_info;
return _a0_perf_IProbe (port,source,tag,req);
}
