#ifndef SOURCE_PERF_PT2PT_H
#define SOURCE_PERF_PT2PT_H

#include "a0_perf_pt2pt.h"

extern a0tError _a0_source_perf_WaitRequest(char *file_name,int source_line,
                                     a0tRequest *req);

extern a0tError _a0_source_perf_WaitAnyRequest(char *file_name,int source_line,
                                        a0tRequest *reqtab[],int size, 
                                        int *which);

extern a0tError _a0_source_perf_TestRequest(char *file_name,int source_line,
                                     a0tRequest *req, int *completed);

extern a0tError _a0_source_perf_TestAnyRequest(char *file_name,int source_line,
                                        a0tRequest *reqtab[],int size,
                                        int *which);

extern a0tError _a0_source_perf_IProbe (char *file_name,int source_line,
                                a0tPort *port, int source,
                                int tag, a0tRequest *req);

extern a0tError _a0_source_perf_Probe (char *file_name,int source_line,
                                a0tPort *port, int source,
                                int tag, a0tRequest *req);

extern a0tError _a0_source_perf_ISendBuffer(char *file_name,int source_line,
                                     a0tPort *port, int dest, int tag,
                                     a0tRequest *request, a0tBuffer *buffer);

extern a0tError _a0_source_perf_SendBuffer(char *file_name,int source_line,
                                    a0tPort *port, int dest, int tag,
                                    a0tRequest *request, a0tBuffer *buffer);

extern a0tError _a0_source_perf_ISend(char *file_name,int source_line,
                               a0tPort *port, int dest, int tag,
                               a0tRequest *request, a0tDatatype datatype,
                               void *address, int count);

extern a0tError _a0_source_perf_Send(char *file_name,int source_line,
                              a0tPort *port, int dest, int tag,
                              a0tRequest *request, a0tDatatype datatype,
                              void *address, int count);

extern a0tError _a0_source_perf_IReceiveBuffer(char *file_name,int source_line,
                              a0tPort *port, int source, int tag,
                              a0tRequest *request, a0tBuffer *buffer);

extern a0tError _a0_source_perf_ReceiveBuffer(char *file_name,int source_line,
                                       a0tPort *port, int source, int tag,
                                       a0tRequest *request, a0tBuffer *buffer);

extern a0tError _a0_source_perf_IReceive(char *file_name,int source_line,
                                  a0tPort *port, int source, int tag,
                                  a0tRequest *request, a0tDatatype datatype,
                                  void *address, int count);

extern a0tError _a0_source_perf_Receive(char *file_name,int source_line,
                                 a0tPort *port, int source, int tag,
                                 a0tRequest *request, a0tDatatype datatype,
                                 void *address, int count);

extern a0tError _a0_source_perf_GetRequestInfo(char *file_name,int source_line,
                                        a0tRequest *request, int *source,
                        	        int *tag, int *size);

#endif
