/*
 *
 * a0urgentd.h : Include for a0urgentd.c
 *
 * by Ilan Ginzburg
 * Apache Project, IMAG, Grenoble, France
 * Jun 19, 1996
 *
 */


/* Eliminates multiple includes of this file */
#ifndef _A0URGENTD_H
#define _A0URGENTD_H

#include <akernel.h>
#include "a0ports.h"


/* Port used for communications with the URGENT daemon */
extern a0tPort _a0UrgentdPort;


#ifdef A0_SOURCE
/***************************************************************************
 * Defines only used for compiling Athapascan0
 ***************************************************************************/

/* Initializations for the URGENT daemon. Creates the daemon thread */
extern a0tError _a0InitUrgent();
extern a0tError _a0TermUrgent();

#endif /* A0_SOURCE */


#endif /* _A0URGENTD_H */
