#include "a0_source_perf_fuser.h"
#include "../basic/a0_perf_event_codes.h"
#include "../basic/a0_perf_event_macros.h"

a0tError _a0_source_perf_GetFormatSize(char *file_name,int source_line,
	a0tFormat *formatp, void *address, int count, size_t *sizep)
{
put_info;
return _a0_perf_GetFormatSize(formatp,address,count,sizep);
}


a0tError _a0_source_perf_GetFormatOffset(char *file_name,int source_line,
	a0tFormat *formatp, void *address, int count, void **offsetp)
{
put_info;
return _a0_perf_GetFormatOffset(formatp,address,count,offsetp);
}

a0tError _a0_source_perf_UseFormats(char *file_name,int source_line)
{
put_info;
return _a0_perf_UseFormats();
}

a0tError _a0_source_perf_DisposeFormat(char *file_name,int source_line,
						a0tFormat *formatp)
{
put_info;
return _a0_perf_DisposeFormat(formatp);
}

a0tError _a0_source_perf_IFSend(char *file_name,int source_line,
		a0tPort *port, int dest, int tag, a0tRequest *req,
		a0tFormat *formatp, void *address, int count)
{
put_info;
return _a0_perf_IFSend(port,dest,tag,req,formatp,address,count);
}

a0tError _a0_source_perf_FSend(char *file_name,int source_line,
		a0tPort *port, int dest, int tag, a0tRequest *req,
		a0tFormat *formatp, void *address, int count)
{
put_info;
return _a0_perf_FSend(port,dest,tag,req,formatp,address,count);
}

a0tError _a0_source_perf_IFReceive(char *file_name,int source_line,
		a0tPort *port, int src, int tag, a0tRequest *req,
		a0tFormat *formatp, void *address, int count)
{
put_info;
return _a0_perf_IFReceive(port,src,tag,req,formatp,address,count);
}

a0tError _a0_source_perf_FReceive(char *file_name,int source_line,
		a0tPort *port, int src, int tag, a0tRequest *req,
		a0tFormat *formatp, void *address, int count)
{
put_info;
return _a0_perf_FReceive(port,src,tag,req,formatp,address,count);
}

a0tError _a0_source_perf_FPack(char *file_name,int source_line,
	a0tBuffer *buffer, a0tFormat *formatp, void *address, int count)
{
put_info;
return _a0_perf_FPack(buffer,formatp,address,count);
}

a0tError _a0_source_perf_FUnpack(char *file_name,int source_line,
	a0tBuffer *buffer, a0tFormat *formatp, void *address, int count)
{
put_info;
return _a0_perf_FUnpack(buffer,formatp,address,count);
}

